Benutzerhandbuch
Version 1.9 — Rev. 3

# Rewrite

### Rewrite aktivieren

#### Beschreibung

Gibt an, ob LiteSpeeds URL-Rewrite-Engine aktiviert wird. Diese Option kann auf Virtual-Host- oder Kontextebene angepasst werden und wird entlang des Verzeichnisbaums vererbt, bis sie ausdrücklich überschrieben wird.

#### Syntax

Aus Optionsfeldern auswählen

### Automatisch aus .htaccess laden

#### Beschreibung

Laedt Rewrite-Regeln aus der .htaccess-Datei eines Verzeichnisses automatisch beim ersten Zugriff auf dieses Verzeichnis, wenn fuer dieses Verzeichnis noch kein HttpContext mit der Direktive rewritefile existiert. Nach dem ersten Laden muss ein graceful restart ausgefuehrt werden, damit weitere Aenderungen an dieser .htaccess-Datei wirksam werden.
Die Einstellung auf Virtual-Host-Ebene ueberschreibt die Einstellung auf Serverebene. Standardwerte:
Serverebene: No
VH-Ebene: Servereinstellung erben

#### Syntax

Aus Optionsfeldern auswählen

### Protokollebene

#### Beschreibung

Gibt die Detailstufe der Debug-Ausgabe der Rewrite-Engine an. Dieser Wert reicht von 0 bis 9. 0 deaktiviert die Protokollierung. 9 erzeugt das detaillierteste Protokoll. Das Fehlerprotokoll des Servers und des virtuellen Hosts Protokollstufe muss mindestens auf INFO gesetzt sein, damit diese Option wirksam wird. Dies ist beim Testen von Rewrite-Regeln nützlich.

#### Syntax

Ganzzahl

#### Siehe auch

Server Protokollstufe, Virtual Host Protokollstufe

### Name

#### Beschreibung

Gibt einen eindeutigen Namen für die Rewrite-Map auf Virtual-Host-Ebene an. Dieser Name wird von einer Mapping-Referenz in Rewrite-Regeln verwendet. Beim Referenzieren dieses Namens sollte eine der folgenden Syntaxformen verwendet werden:

> `$\{MapName:LookupKey\}
> $\{MapName:LookupKey|DefaultValue\}`

Die Implementierung der LiteSpeed-Rewrite-Engine folgt den Spezifikationen der Apache-Rewrite-Engine. Weitere Details zu Rewrite-Maps finden Sie in der Apache mod_rewrite-Dokumentation.

#### Syntax

Zeichenkette

### Speicherort

#### Beschreibung

Gibt den Speicherort der Rewrite-Map mit der Syntax MapType:MapSource an.
LiteSpeeds Rewrite-Engine unterstützt drei Arten von Rewrite-Maps:

- Standard-Klartext

  > MapType: txt;
  > MapSource: Dateipfad zu einer gültigen reinen ASCII-Datei.

  Jede Zeile dieser Datei sollte zwei durch Leerzeichen getrennte Elemente enthalten. Das erste Element ist der Schlüssel, das zweite der Wert. Kommentare können mit einem führenden Zeichen "#" hinzugefügt werden.
- Zufälliger Klartext

  > MapType: rnd;
  > MapSource: Dateipfad einer gültigen reinen ASCII-Datei.

  Das Dateiformat ähnelt der Standard-Klartextdatei, außer dass das zweite Element mehrere Auswahlmöglichkeiten enthalten kann, die durch ein Zeichen "|" getrennt und von der Rewrite-Engine zufällig ausgewählt werden.
- Interne Funktion

  > MapType: int;
  > MapSource: interne Zeichenkettenfunktion

  4 Funktionen sind verfügbar:
  - toupper: wandelt den Suchschlüssel in Großbuchstaben um.
  - tolower: wandelt den Suchschlüssel in Kleinbuchstaben um.
  - escape: führt URL-Codierung für den Suchschlüssel aus.
  - unescape: führt URL-Decodierung für den Suchschlüssel aus.
Die folgenden in Apache verfügbaren Map-Typen sind in LiteSpeed nicht implementiert:
Hash File und External Rewriting Program.

Die Implementierung der LiteSpeed-Rewrite-Engine folgt den Spezifikationen der Apache-Rewrite-Engine. Weitere Details zu rewrite map finden Sie in der Apache mod_rewrite-Dokumentation.

#### Syntax

Zeichenkette

### Rewrite-Regeln

#### Beschreibung

Gibt eine Liste von Rewrite-Regeln auf Virtual-Host-Ebene an.
Fügen Sie hier KEINE Rewrite-Regeln auf Dokumentstammebene hinzu. Wenn Sie Rewrite-Regeln auf Dokumentstammebene aus .htaccess haben, sollten Sie stattdessen einen statischen Kontext mit uri "/" erstellen und die Rewrite-Regeln dort hinzufügen.
Eine Rewrite-Regel besteht aus einer Direktive RewriteRule und kann optional von mehreren Direktiven RewriteCond eingeleitet werden.

- Jede Direktive sollte nur eine Zeile belegen.
- RewriteCond und RewriteRule folgen der Rewrite-Direktivensyntax von Apache. Kopieren Sie Rewrite-Direktiven einfach aus Ihren Apache-Konfigurationsdateien und fügen Sie sie ein.
- Es gibt kleinere Unterschiede zwischen der Implementierung von LiteSpeed und Apache mod_rewrite:
  - %\{LA-U:variable\} und %\{LA-F:variable\} werden von der LiteSpeed-Rewrite-Engine ignoriert
  - Zwei neue Servervariablen werden der LiteSpeed-Rewrite-Engine hinzugefügt: %\{CURRENT_URI\} steht für die aktuelle URI, die von der Rewrite-Engine verarbeitet wird, und %\{SCRIPT_NAME\} hat dieselbe Bedeutung wie die entsprechende CGI-Umgebungsvariable.
  - Die LiteSpeed-Rewrite-Engine stoppt die Verarbeitung von Rewrite-Regeln nach einer [L]-Markierung, um Schleifen zu vermeiden, während Apache mod_rewrite die Verarbeitung von Rewrite-Regeln nur für die aktuelle Iteration stoppt. Dieses Verhalten ähnelt dem der [END]-Markierung in Apache mod_rewrite.

Die Implementierung der LiteSpeed-Rewrite-Engine folgt den Spezifikationen der Apache-Rewrite-Engine. Weitere Details zu Rewrite-Regeln finden Sie in der Apache mod_rewrite-Dokumentation und im Apache-Leitfaden zur URL-Umschreibung .

#### Syntax

Zeichenkette